## org.apache.myfaces.custom.fileupload
Class HtmlInputFileUpload

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      javax.faces.component.html.HtmlInputText
                          org.apache.myfaces.custom.fileupload.HtmlInputFileUpload

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, UserRoleAware, javax.faces.component.ValueHolder

public class HtmlInputFileUpload
extends javax.faces.component.html.HtmlInputText
implements UserRoleAware

Version:
  $Revision: 289942 $ $Date: 2005-09-18 12:10:36 -0400 (Sun, 18 Sep 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`COMPONENT_FAMILY, CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Fields inherited from interface org.apache.myfaces.component.UserRoleAware
`ENABLED_ON_USER_ROLE_ATTR, VISIBLE_ON_USER_ROLE_ATTR`

Constructor Summary
`HtmlInputFileUpload()`

Method Summary
`java.lang.String` `getAccept()`
`java.lang.String` `getEnabledOnUserRole()`
`java.lang.String` `getStorage()`
`UploadedFile` `getUploadedFile()`
`java.lang.String` `getVisibleOnUserRole()`
`boolean` `isRendered()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setAccept(java.lang.String accept)`
`void` `setEnabledOnUserRole(java.lang.String enabledOnUserRole)`
`void` `setStorage(java.lang.String string)`
`void` `setUploadedFile(UploadedFile upFile)`
`void` `setVisibleOnUserRole(java.lang.String visibleOnUserRole)`

Methods inherited from class javax.faces.component.html.HtmlInputText

`getAccesskey, getAlt, getDir, getLang, getMaxlength, getOnblur, getOnchange, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getOnselect, getSize, getStyle, getStyleClass, getTabindex, getTitle, isDisabled, isReadonly, setAccesskey, setAlt, setDir, setDisabled, setLang, setMaxlength, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setReadonly, setSize, setStyle, setStyleClass, setTabindex, setTitle`

Methods inherited from class javax.faces.component.UIInput

`addValidator, addValueChangeListener, broadcast, compareValues, decode, getConvertedValue, getFamily, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlInputFileUpload

    public HtmlInputFileUpload()

Method Detail

### setUploadedFile

    public void setUploadedFile(UploadedFile upFile)

### getUploadedFile

    public UploadedFile getUploadedFile()

### getStorage

    public java.lang.String getStorage()

### setStorage

    public void setStorage(java.lang.String string)

### setAccept

    public void setAccept(java.lang.String accept)

### getAccept

    public java.lang.String getAccept()

### setEnabledOnUserRole

    public void setEnabledOnUserRole(java.lang.String enabledOnUserRole)

  Specified by:
    `setEnabledOnUserRole` in interface `UserRoleAware`

### getEnabledOnUserRole

    public java.lang.String getEnabledOnUserRole()

  Specified by:
    `getEnabledOnUserRole` in interface `UserRoleAware`

### setVisibleOnUserRole

    public void setVisibleOnUserRole(java.lang.String visibleOnUserRole)

  Specified by:
    `setVisibleOnUserRole` in interface `UserRoleAware`

### getVisibleOnUserRole

    public java.lang.String getVisibleOnUserRole()

  Specified by:
    `getVisibleOnUserRole` in interface `UserRoleAware`

### isRendered

    public boolean isRendered()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`